org.apache.maven.scm.provider.svn.svnexe.command.status

## Class SvnStatusConsumer

- java.lang.Object
- - org.apache.maven.scm.provider.svn.svnexe.command.status.SvnStatusConsumer

All Implemented Interfaces:
  org.codehaus.plexus.util.cli.StreamConsumer

    public class SvnStatusConsumer
    extends Object
    implements org.codehaus.plexus.util.cli.StreamConsumer

Version:
  $Id: SvnStatusConsumer.java 881560 2009-11-17 22:00:25Z struberg $
Author:
  Trygve Laugstøl

### Constructor Summary

Constructors
Constructor and Description
`SvnStatusConsumer(ScmLogger logger, File workingDirectory)`

### Method Summary

Methods
`void` `consumeLine(String line)`
`List` `getChangedFiles()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SvnStatusConsumer

    public SvnStatusConsumer(ScmLogger logger,
                     File workingDirectory)

### Method Detail

#### consumeLine

    public void consumeLine(String line)

Specified by:
  `consumeLine` in interface `org.codehaus.plexus.util.cli.StreamConsumer`

#### getChangedFiles

    public List getChangedFiles()